Bug 232907 - Problems with ati drivers detecting the right display.
Problems with ati drivers detecting the right display.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-03-19 10:01 EDT by Stian Moltubakk
Modified: 2008-01-15 16:23 EST (History)
1 user (show)

See Also:
Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My xorg (2.31 KB, text/plain)
2007-03-22 08:59 EDT, Stian Moltubakk
no flags Details
My modefyed xorg.conf (2.28 KB, application/octet-stream)
2007-06-16 08:55 EDT, Stian Moltubakk
no flags Details
Orignal xorg file (804 bytes, application/octet-stream)
2007-06-16 09:21 EDT, Stian Moltubakk
no flags Details
My Xorg log file (57.82 KB, application/octet-stream)
2007-06-16 09:27 EDT, Stian Moltubakk
no flags Details

  None (edit)
Description Stian Moltubakk 2007-03-19 10:01:42 EDT
Description of problem:
X seam not to start since I only get a black screen.
I have a asus notebook with a radeon mobilety.
I also have a external vga port and a s-video port.

What apear to be x failing to start proper and just turn the lcd display black 
is that the ATI drivers used for ati cards in fedora only reconise the vga 
outpot, once I connect a vga display to the port I have picture there, but not 
on my lcd.

It's easy to fix by instaling the driver from livnea repos, but this result in 
not being able to use beryl without instaling xgl since direct rendering won't 
work on livna drivers if I type Option Composite "Enable" in my xorg.conf file. 
It allways have to be Option Composite "False"




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Matěj Cepl 2007-03-20 17:16:40 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below (please, only with
open source drivers; we don't want any fglrx stuff here).

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Stian Moltubakk 2007-03-22 08:56:29 EDT
As I say the problem by not reciving signal on the LCD is solved by using the 
fglrx drivers. Keep in mind that the Signal to the VGA is ok all the time.
My nootbook has a radeon mobilety where I can send signal both to the onboard 
LCD and a external VGA screen.

When installing the fglrx drivers (since you don't recomend installig the 
native ATI drivers) direct rendering wont work when I type:
Section "Extensions"
	Option	    "Composite" "Enable"
EndSection

the xorg.conf direct rendring will only work if composite is 

Section "Extensions"
	Option	    "Composite" "False"
EndSection

This is a huge problem if I want to use beryl.

Comment 3 Stian Moltubakk 2007-03-22 08:59:03 EDT
Created attachment 150656 [details]
My xorg
Comment 4 Matěj Cepl 2007-03-23 13:52:25 EDT
Could I please ask once more for LOGS of you Xorg when using open-source (i.e.,
not fglrx) drivers?

Thanks
Comment 5 Stian Moltubakk 2007-04-08 09:17:16 EDT
It seams like I no longer has the xorg file from the time befour I started 
using fglrx driver, but it seam to be a problem with everyone using ati 
mobility and fedora, but seam like nobody else but me tryed to conect a display 
on the vga output. If I remember corectly it worked with no problem on fc4.
Comment 6 Matěj Cepl 2007-04-11 08:44:49 EDT
We would really need the information. Otherwise I will have no choice but to
close this bug as INSUFFICIENT_DATA.
Comment 7 Stian Moltubakk 2007-06-16 08:55:13 EDT
Created attachment 157188 [details]
My modefyed xorg.conf

I upgraded to Fedora 7 today and the bug seam to still be there.
I installed and once starting xorg the laptops LCD go black.

I conect a external CRT scren to the VGA output and a picture apear at once.
I open my xorg.conf and replace the text I with the old file I used in FC6 only
changing the driver in the file from fglrx into radeon.

I logged out and restarted xorg and now a picture apear on both the LCD and the
CRT on my external VGA
Comment 8 Stian Moltubakk 2007-06-16 09:21:35 EDT
Created attachment 157189 [details]
Orignal xorg file

Xorg.conf befour I modefy it.
Comment 9 Stian Moltubakk 2007-06-16 09:27:53 EDT
Created attachment 157190 [details]
My Xorg log file

I alos got a xorg.0.log.old in the folder. I don't know if this one is relevant
or not.
Comment 10 Matěj Cepl 2007-06-19 10:54:56 EDT
(In reply to comment #7)
> I logged out and restarted xorg and now a picture apear on both the LCD and the
> CRT on my external VGA

Does it mean, that this bug has been actually fixed in FC7?
Comment 11 Stian Moltubakk 2007-06-25 02:32:39 EDT
(In reply to comment #10)
> (In reply to comment #7)
> > I logged out and restarted xorg and now a picture apear on both the LCD and 
the
> > CRT on my external VGA
> 
> Does it mean, that this bug has been actually fixed in FC7?

No the problem is still there, the xorg has to be modefyed to show picture on 
the nootebooks internal LCD, if not modefyed it will only show picture on the 
VGA output on the back off the notebook.

Comment 12 Matěj Cepl 2007-12-10 04:22:35 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 13 Matěj Cepl 2008-01-15 09:39:34 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}
Comment 14 Stian Moltubakk 2008-01-15 14:07:52 EST
Fedora 8 dos not have this problem.

Note You need to log in before you can comment on or make changes to this bug.